View Issue Details

IDProjectCategoryView StatusLast Update
14137Bug reports[All Projects] RemoteControlpublic2019-05-23 19:15
ReporterarjerezaAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version3.17.x 
Summary14137: Yii framework bug when using remote control then inserting Session into MS SQL database
Description

When using MS SQL as the server database, I encountered a bug when calling the method get_session_key using remote control.

I have been receiving the following error:

"Request error: CDbCommand failed to execute the SQL statement: SQLSTATE[42000]: [Microsoft][ODBC Driver 11 for SQL Server][SQL Server]Implicit conversion from data type nvarchar to varbinary(max) is not allowed. Use the CONVERT function to run this query."

Steps To Reproduce
  1. Use MS SQL as server database.
  2. Enable remote control interface.
  3. Call RPC Client method get_session_key().
Additional Information

I have traced the error to the Yii framework.

framework\db\ar\CActiveRecord.php

On "insert" function. Line 1073

TagsNo tags attached.
Complete LimeSurvey version number (& build)limesurvey3.14.8+180829 and limesurvey3.15.0+181008
I will donate to the project if issue is resolvedNo
BrowserChorme and Firefox
Database & DB-VersionMS SQL 2012
Server OS (if known)Windows 10
Webserver software & version (if known)XAMPP v3.2.2
PHP VersionPHP Version 7.2.9

Activities

DenisChenu

DenisChenu

2018-10-19 16:37

developer   ~49378

Last edited: 2018-10-19 16:37

View 2 revisions

https://github.com/LimeSurvey/LimeSurvey/commit/52add8335a94197041786e728891582c7551183c

Then : can close at «Won't fix»

Mazi

Mazi

2019-03-18 16:56

partner   ~51038

So no remote control features for MS SQL users which want to use DB based session handling?

c_schmitz

c_schmitz

2019-05-23 15:46

administrator   ~52090

As said: DB based session handling never worked and is currently not available for MS SQL
Remote Control works just fine if you don't enable DB base session in MS SQL.

DenisChenu

DenisChenu

2019-05-23 19:14

developer   ~52097

Yii framework bug when using remote control then inserting Session into MS SQL database is fixed
in https://github.com/LimeSurvey/LimeSurvey/commit/9cb60ed801bc539d76a51b7a33ebda48b84ffff1#diff-756457dc85f13450b3dfba2cbc1465e5

Issue History

Date Modified Username Field Change
2018-10-09 14:54 arjereza New Issue
2018-10-19 16:36 DenisChenu Assigned To => c_schmitz
2018-10-19 16:36 DenisChenu Status new => assigned
2018-10-19 16:37 DenisChenu Note Added: 49378
2018-10-19 16:37 DenisChenu Note Edited: 49378 View Revisions
2019-03-18 16:56 Mazi Note Added: 51038
2019-05-23 15:46 c_schmitz Note Added: 52090
2019-05-23 15:46 c_schmitz Status assigned => closed
2019-05-23 15:46 c_schmitz Resolution open => no change required
2019-05-23 19:14 DenisChenu Assigned To c_schmitz => DenisChenu
2019-05-23 19:14 DenisChenu Status closed => resolved
2019-05-23 19:14 DenisChenu Fixed in Version => 3.17.x
2019-05-23 19:14 DenisChenu Note Added: 52097
2019-05-23 19:15 DenisChenu Status resolved => closed
2019-05-23 19:15 DenisChenu Resolution no change required => fixed